#include <string.h>
#include "bsp.h"
#include "led.h"
#include "spi.h"
#include "power.h"
#include "tty.h"
#include "eth-config.h"
#include "ether.h"
#include "uip/uip.h"

pm_appcall ()
{
  cprintf("pm_appcall?\n");
}

pm_udp_appcall ()
{
  cprintf("pm_udp_appcall: port %d - %d poll %d newdata %d\n",
	  uip_udp_conn->lport,
	  uip_udp_conn->rport,
	  uip_poll(), uip_newdata());
}

static void one_led(led)
{
  p6.b = led;
  wait_ms (50);
}

static unsigned char leds[] = { LED_GRN, LED_YEL, LED_BLU, LED_RED };

main()
{
  unsigned int i, j;
  pd6.b = 0x0f;

  tty_init ();

  tty_puts("\npingme application\n");

  p6.b = 0;

  spi_reset ();

  spi_ethernet ();

  ether_init_uip ();

  uip_udp_listen (1234);

  while (1)
    ether_poll_uip ();
}
